/**********************************************************************
 *
 * Copyright(C) 2011, Embedded Artists AB
 * All rights reserved.
 *
 ***********************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 **********************************************************************/

#ifndef __IMAGE_H
#define __IMAGE_H

#include "bsp.h"

uint32_t image_fs_init();
uint32_t image_fs_numImages();
uint32_t image_fs_read(uint32_t imgNum, uint8_t* buffer);
uint32_t image_fs_storeLastShown(uint32_t imgNum);
int32_t  image_fs_lastShownImage();
uint32_t image_fs_isFlashAvailable();



#endif /* end __IMAGE_H */
/****************************************************************************
**                            End Of File
*****************************************************************************/
